#!/bin/bash

set -e

BOARD_DIR="$(dirname $0)"
BOARD_NAME="$(basename ${BOARD_DIR})"
BOARD_IMG=$BINARIES_DIR


# offset: 446 -> partition table(64 bytes) (1 partition ext2, size 1Gb)
# offset: 1K  -> u-boot (~200K)
# offset: 1MB -> rootfs (~40MB)
dd if=/dev/zero bs=512 count=2048 of=${BOARD_IMG}/1MB.dat
${HOST_DIR}/bin/genpart -t 0x83 -c -b 2048 -s 2048000 | dd of=${BOARD_IMG}/1MB.dat bs=1 seek=446 conv=notrunc
echo -n -e '\x55\xaa'  | dd of=${BOARD_IMG}/1MB.dat bs=1 seek=510 conv=notrunc
cat ${BOARD_IMG}/u-boot.imx | dd of=${BOARD_IMG}/1MB.dat bs=512 seek=2 conv=notrunc
cat ${BOARD_IMG}/1MB.dat ${BOARD_IMG}/rootfs.ext2 > ${BOARD_IMG}/sdcard_imx6ull_board.img


		
exit $?
