#!/bin/sh

MOUNT_MMC=/dev/sdc
MOUNT_ROOTFS_1=${MOUNT_MMC}1

dd if=/dev/zero of=${MOUNT_MMC} bs=1M count=200

sync
sync

fdisk ${MOUNT_MMC} -b 512 -S 1 -H 1 <<EOF
n
p
1
2048

w
EOF

sync


mkfs.ext2 ${MOUNT_ROOTFS_1} -L rootfs1

dd if=./u-boot-dtb.imx of=${MOUNT_MMC} bs=512 seek=2 conv=notrunc

sync
sync


##RootfsA
echo "RootfsA"
mkdir -p tmpmnt/rootfsA
mount ${MOUNT_ROOTFS_1} ./tmpmnt/rootfsA
tar xf ./rootfs.tar -C ./tmpmnt/rootfsA/
sync
sync
sync
umount ./tmpmnt/rootfsA
